Subject: git push sometimes reports failure, but push operations seems to be OK

From: Adam Piatyszek <[email-masked]>
Date: Tue, 18 Mar 2008 18:10:43 +0100

Hi,

I am using git with git-svn for working with two branches from one SVN 
repository. For backup purposes, I have also one remote repository to 
which I push my local Git branches (topic) and these two tracked SVN 
branches. The remote Git repository is only for my private purposes so I 
sometimes rewind it.
When pushing my changes to this remote Git repository I usually (but not 
always) get this error message:

=====8<=====
Counting objects: 22, done.
Compressing objects: 100% (12/12), done.
Writing objects: 100% (12/12), 1.92 KiB, done.
Total 12 (delta 11), reused 0 (delta 0)
To boreas.<hidden-domain>:/home/ediap/git/itpp.git
    410c244..09d4d2e  itpp-4-0 -> itpp-4-0
    0ecd5bb..a9fce92  master -> master
error: failed to push some refs to 
'boreas.<hidden-domain>:/home/ediap/git/itpp.git'
=====8<=====

*) please ignore the <hidden-domain> in the above ;)

However, the push operation seems to be OK (all commits are properly 
transferred to the remote repository). By adding some fprintf() into git 
code I managed to check that the finish_connect() function returns -255.

Here is the relevant part of configuration of my local Git repository:
=====8<=====
[remote "boreas"]
	url = boreas.<hidden-domain>:/home/ediap/git/itpp.git
	fetch = +refs/heads/*:refs/remotes/boreas/*
	push = master
	push = itpp-4-0
=====8<=====

Remote repository is on quite old SUN OS Solaris system:
=====8<=====
ediap@boreas ~/git/itpp.git % uname -a
SunOS boreas 5.9 Generic_112233-10 sun4u sparc SUNW,Sun-Blade-100
=====8<=====

The remote host uses the stable git version:
=====8<=====
ediap@boreas ~/git/itpp.git % git --version
git version 1.5.4.4
=====8<=====

My local git installation is:
=====8<=====
ediap@lespaul ~/tmp/build/itpp-git $ git --version
git version 1.5.4.4.532.ga6828.dirty
=====8<=====
on a Gentoo Linux x86 system:
=====8<=====
ediap@lespaul ~/tmp/build/itpp-git $ uname -a
Linux lespaul 2.6.24-gentoo-r3 #2 SMP Fri Mar 14 10:24:13 CET 2008 i686 
Intel(R) Core(TM)2 CPU T7200 @ 2.00GHz GenuineIntel GNU/Linux
=====8<=====

Have you encountered similar issues with git push? Do you have any idea 
what should I check in my setup?

Thanks for any hints.
BR,
/Adam

PS. This problem is nothing new, so it is definitely not a regression in 
one the latest Git releases.

-- 
.:.  Adam Piatyszek (ediap)  .:.....................................:.
.:.  [email-masked]  .:................................:.